{
    "type": "project",
    "license": "proprietary",
    "require": {
        "php": ">=8.3.0",
        "ext-ctype": "*",
        "ext-iconv": "*",
        "composer/package-versions-deprecated": "1.11.99.1",
        "doctrine/annotations": "^1.0",
        "doctrine/doctrine-bundle": "^2.2",
        "doctrine/doctrine-fixtures-bundle": "^3.4",
        "doctrine/doctrine-migrations-bundle": "^3.0",
        "doctrine/orm": "^2.11",
        "eternaltwin/etwin": "^0.9.2",
        "eternaltwin/oauth-client": "^1.0",
        "phpdocumentor/reflection-docblock": "^5.2",
        "scienta/doctrine-json-functions": "^5.2",
        "sensio/framework-extra-bundle": "^5.6",
        "symfony/asset": "5.4.*",
        "symfony/console": "5.4.*",
        "symfony/dotenv": "5.4.*",
        "symfony/expression-language": "5.4.*",
        "symfony/flex": "^1.3.1",
        "symfony/form": "5.4.*",
        "symfony/framework-bundle": "5.4.*",
        "symfony/http-client": "5.4.*",
        "symfony/intl": "5.4.*",
        "symfony/mailer": "5.4.*",
        "symfony/monolog-bundle": "^3.1",
        "symfony/process": "5.4.*",
        "symfony/property-access": "5.4.*",
        "symfony/property-info": "5.4.*",
        "symfony/security-bundle": "5.4.*",
        "symfony/serializer": "5.4.*",
        "symfony/translation": "5.4.*",
        "symfony/twig-bundle": "5.4.*",
        "symfony/validator": "5.4.*",
        "symfony/web-link": "5.4.*",
        "symfony/yaml": "5.4.*",
        "twig/extra-bundle": "^3.0",
        "twig/twig": "^3.8"
    },
    "require-dev": {
        "escapestudios/symfony2-coding-standard": "3.*",
        "friendsofphp/php-cs-fixer": "^3.39",
        "mockery/mockery": "^1.6",
        "pestphp/pest": "^1.23",
        "phpstan/phpstan-deprecation-rules": "^1.1",
        "phpunit/phpunit": "^9.5",
        "psalm/plugin-symfony": "^5.1",
        "rector/rector": "^1.0",
        "squizlabs/php_codesniffer": "3.*",
        "symfony/browser-kit": "^5.0",
        "symfony/css-selector": "^5.0",
        "symfony/debug-bundle": "^5.0",
        "symfony/maker-bundle": "^1.0",
        "symfony/phpunit-bridge": "^5.2",
        "symfony/stopwatch": "^5.0",
        "symfony/var-dumper": "^5.0",
        "symfony/web-profiler-bundle": "^5.0",
        "vimeo/psalm": "^5.21"
    },
    "config": {
        "platform": {
            "php": "8.3.2"
        },
        "preferred-install": {
            "*": "dist"
        },
        "sort-packages": true,
        "allow-plugins": {
            "symfony/flex": true,
            "pestphp/pest-plugin": true
        }
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/"
        }
    },
    "replace": {
        "paragonie/random_compat": "2.*",
        "symfony/polyfill-ctype": "*",
        "symfony/polyfill-iconv": "*",
        "symfony/polyfill-php71": "*",
        "symfony/polyfill-php70": "*",
        "symfony/polyfill-php56": "*"
    },
    "scripts": {
        "auto-scripts": {
            "cache:clear": "symfony-cmd",
            "assets:install %PUBLIC_DIR%": "symfony-cmd"
        },
        "post-install-cmd": [
            "@auto-scripts"
        ],
        "post-update-cmd": [
            "@auto-scripts"
        ],
        "db:delete": [
            "bin/console doctrine:database:drop --force"
        ],
        "db:load-fixtures": [
            "bin/console doctrine:fixtures:load --no-interaction"
        ],
        "db:load-world": [
            "bin/console doctrine:fixtures:load --append --no-interaction --group=world"
        ],
        "db:make-migration": [
            "bin/console make:migration"
        ],
        "db:patch-fixtures": [
            "bin/console doctrine:migrations:migrate --no-interaction",
            "@db:load-fixtures"
        ],
        "db:reset" : [
            "@db:delete",
            "bin/console doctrine:database:create --if-not-exists",
            "bin/console doctrine:migrations:migrate --no-interaction"
        ],
        "db:reset-and-load-fixtures": [
            "@db:reset",
            "@db:load-fixtures"
        ],
        "run-tests": [
            "./vendor/bin/pest"
        ]
    },
    "conflict": {
        "symfony/symfony": "*",
        "doctrine/orm": "2.12.*"
    },
    "extra": {
        "symfony": {
            "allow-contrib": false,
            "require": "5.4.*"
        }
    }
}
